import { axios } from '@/utils/request'

const api = {
  wisdomPanel: '/wisdomPanel'
}

export function getWisdomPanelList (parameter) {
  return axios({
    url: api.wisdomPanel + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveWisdomPanel (parameter) {
  return axios({
    url: api.wisdomPanel + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delWisdomPanel (parameter) {
  return axios({
    url: api.wisdomPanel + '/remove',
    method: 'post',
    params: parameter
  })
}

export const wisdomPanelExport = api.wisdomPanel + '/export'
